
package com.loafle;
import static org.junit.Assert.*;

import com.loafle.overflow.keystore.model.Apikey;
import com.loafle.overflow.member.model.Member;
import dao.JPAApiKeyDao;
import org.junit.Before;
import org.junit.Test;

import java.util.Date;
import java.util.logging.Logger;

public class AppTest {
    private JPAApiKeyDao jpaApiKeyDao;
    private static final Logger logger = Logger.getLogger(AppTest.class.getName());

    @Before
    public void Before() {
        this.jpaApiKeyDao = new JPAApiKeyDao();
    }

    @Test
    public void testCreateApikey() {

        Apikey apikey = new Apikey();

        apikey.setApiKey("1111111");
        apikey.setCreateDate(new Date());
        Member member = new Member();
        member.setId((long)2);
        apikey.setMember(member);


        jpaApiKeyDao.create(apikey);


    }

    @Test
    public void testFindApikey() {

        Apikey apikey = new Apikey();

        apikey.setApiKey("1111111");

        Apikey a = this.jpaApiKeyDao.findByApiKey(apikey);


        System.out.println(a.getId());



    }
}